Apple releases AirPort Extreme Firmware Update 5.4

Apple has released AirPort Extreme Firmware Update 5.4 which features:
– Improved antenna output control.
– Enhanced logging from your base station which is compatible with syslog.
– Performance improvements for WPA security implementations.

This version of the AirPort software requires:
– Mac OS X v10.3 or later
– An AirPort Extreme-ready computer with an internal AirPort Extreme Card or
– An AirPort-ready computer with an internal AirPort Card

Note: WPA requires an AirPort Extreme base station and AirPort Extreme or AirPort clients running Mac OS X v10.3, or later. Use of Wi-Fi Protected Access (WPA) reduces the maximum number of network users. Computers with wireless cards that only support WEP cannot join an AirPort network that has WPA enabled.

More info and download (4 MB) link here.

11 Comments

  1. I downloaded Airport Software 3.4 and the moment I opened the Airport software it told me to install firmware 5.4…. strange huh? But still no troubles for me, lucky me.

  2. New update soon from Apple. In some cases the update makes connection strenght drop by as high as 30%. The issue has been reproduced at Apple labs.

    So if you did not update you may want to hold few days: you might be lucky if you update now and have better results but may end up on the wrong side of the distribution and actually degrade you wireless experience.

Reader Feedback

This site uses Akismet to reduce spam. Learn how your comment data is processed.